/* CalSAWS RecoveryAccountResponsibleParty with invalid Phone NUmber */
select *
from RecoveryAccountResponsibleParty
where (ISNUMERIC(IsNull(PhoneNumberAreaCode, 0)) <> 1 and
		PhoneNumberAreaCode <> '') or	
		(ISNUMERIC(IsNull(PhoneNumber, 0)) <> 1 and
		PhoneNumber <> '')
		order by ResponsiblePartySSN, LegacyAccountNumberIdentifier


/* VACS Debtor 1 with invalid Phone Number that will be in the extract */
select *
from debtor, debt, DebtList
where debtor.debtor_id = debt.debtor_id and
debt.debt_number =  DebtList.debt_number and
ISNUMERIC(IsNull(debtor1_phone, 0)) <> 1 and
		debtor1_phone <> ''
order by debtor1_phone


/* VACS Debtor 2 with invalid Phone Number that will be in the extract */
select *
from debtor, debt, DebtList
where debtor.debtor_id = debt.debtor_id and
debt.debt_number =  DebtList.debt_number and
ISNUMERIC(IsNull(debtor2_phone, 0)) <> 1 and
		debtor2_phone <> ''
order by debtor2_phone


/* All VACS Debtor 1 with invalid Phone Number */
select *
from debtor, debt
where debtor.debtor_id = debt.debtor_id and
ISNUMERIC(IsNull(debtor1_phone, 0)) <> 1 and
		debtor1_phone <> ''
order by debtor1_phone


/* All VACS Debtor 2 with invalid Phone Number */
select *
from debtor, debt
where debtor.debtor_id = debt.debtor_id and
ISNUMERIC(IsNull(debtor2_phone, 0)) <> 1 and
		debtor2_phone <> ''
order by debtor2_phone



