/* Run this to get a list of Providers that will be in the extract. They are marked as potential Individuals or Organizations */

select Case When IsNull(business_name, '') <> '' Then 'Organization' Else 'Individual' End As "Type", 
serial_number, 
pd.provider_number,
pd.business_name,
pd.contact_person
from cw_send_pd pd, cw_claim_number cw,  debt d, DebtList dl
where pd.claim_number = cw.claim_number and
cw.debt_number = d.debt_number and
d.debt_number = dl.debt_number and
transaction_type = 'NC' 
order by Type