/* Run this query in the CalWIN database and save the results to a file. Then upload the data to the VACSWorkers table in welcoll. If the data can be saved as a tab delimited file then it can be read in to the table on the VACS Wokers tab of the Code Maps screen. You can delete the header row either in the file or on the VACS Workers screen */   


SELECT 
A. NM 
 ,B.USR_ID
FROM REG56.SE_CSLD A
JOIN REG56.SE_CSLD_PRM_USR B ON A.CSLD_ID = B.CSLD_ID
WHERE B.EFF_END_DT IS NULL

UNION

SELECT 
A. NM 
 ,B.USR_ID
FROM REG56.SE_CSLD A
JOIN REG56.SE_CSLD_PRM_USR B ON A.CSLD_ID = B.CSLD_ID
WHERE B.EFF_END_DT = (SELECT MAX(EFF_END_DT) FROM REG56.SE_CSLD_PRM_USR WHERE CSLD_ID = A.CSLD_ID)
AND B.CSLD_ID NOT IN (SELECT CSLD_ID FROM REG56.SE_CSLD_PRM_USR WHERE EFF_END_DT IS NULL)
ORDER BY 1      
